Bug 465586 - rpm --addsign resets the file mode
rpm --addsign resets the file mode
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 23:03 EDT by Carl Roth
Modified: 2008-10-16 13:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 13:06:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Roth 2008-10-03 23:03:48 EDT
Description of problem:

The --addsign mode for rpm doesn't honor the user's umask setting.  From what I can tell, it resets the file mode of the signed RPM to 0600 in all cases.

This is a new behavior with rpm-4.5 (Fedora 10 Beta).  The behavior doesn't occur in rpm-4.4.2 (Fedora 9).  The gnupg versions in F9 and F10-Beta are identical so for now I'm filing this bug against rpm.

Version-Release number of selected component (if applicable):

rpm-4.5.90
gnupg-1.4.9

How reproducible:

Always

Steps to Reproduce:
1. build an rpm with 'rpmbuild -bb'
2. Set the RPM file mode with 'chmod 0644'
3. sign the rpm with 'rpm --addsign'
4. observe the new file mode
  
Actual results:


Expected results:

Signing an RPM should change its file mode.

Additional info:
Comment 1 Panu Matilainen 2008-10-04 04:07:36 EDT
Ah, another side-effect of using mkstemp(). Fill fix...
Comment 2 Panu Matilainen 2008-10-04 04:21:11 EDT
..and done upstream. Rawhide will get it on next tarball update (should be within a week or so)
Comment 3 Panu Matilainen 2008-10-16 13:06:42 EDT
In rawhide now.

Note You need to log in before you can comment on or make changes to this bug.